For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all shipment line items

How to fetch a collection of shipment line items via API

To fetch a collection of shipment line items, send a GET request to the /api/shipment_line_items endpoint.

Request

GET https://yourdomain.commercelayer.io/api/shipment_line_items

Example

The following request fetches a collection of shipment line items:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/shipment_line_items/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "shipment_line_items",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN"
      },
      "attributes": {
        "sku_code": "TSHIRTMM000000FFFFFFXLXX",
        "bundle_code": "BUNDLEMM000000FFFFFFXLXX",
        "quantity": 4,
        "name": "Men's Black T-shirt with White Logo (XL)",
        "image_url": "https://img.yourdomain.com/skus/xYZkjABcde.png",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "shipment": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/shipment",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/shipment"
          }
        },
        "line_item": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/line_item",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/line_item"
          }
        },
        "stock_item": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/stock_item",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/stock_item"
          }
        },
        "sku": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/sku",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/sku"
          }
        },
        "stock_reservation": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/stock_reservation",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/stock_reservation"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/shipment_line_items/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 shipment_line_items (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/shipment_line_items?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/shipment_line_items?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/shipment_line_items?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of shipment line items can be sorted by the following fields:

Attributes

  • quantity

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • shipment

  • line_item

  • stock_item

  • sku

  • stock_reservation

Filterable fields

The list of shipment line items can be filtered by the following fields:

Attributes

  • sku_code

  • quantity

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • shipment

  • line_item

  • stock_item

  • sku

  • stock_reservation

Last updated